Part RegularPolygon/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 14: Line 14:
</div>
</div>


<span id="Description"></span>
==Descrizione==
==Descrizione==


Line 22: Line 23:
[[Image:Part_RegularPolygon_Example.png|400px]]
[[Image:Part_RegularPolygon_Example.png|400px]]


<span id="Usage"></span>
==Utilizzo==
==Utilizzo==


Line 27: Line 29:


== Example ==
== Example ==

[[Image:Part_RegularPolygon_Scripting_Example.png|thumb|Part RegularPolygon from the scripting example]]


A Part RegularPolygon object created with the [[#Scripting|scripting example]] below is shown here.
A Part RegularPolygon object created with the [[#Scripting|scripting example]] below is shown here.

[[Image:Part_RegularPolygon_Scripting_Example.png|400px]]

{{Caption|Part RegularPolygon from the scripting example}}


== Properties ==
== Properties ==

Revision as of 11:41, 25 June 2023

Poligono regolare

Posizione nel menu
Parte → Crea primitive → Poligono regolare
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
0.14
Vedere anche
Crea primitive

Descrizione

Crea una primitiva geometrica Poligono regolare.

Utilizzo

See Part Primitives.

Example

A Part RegularPolygon object created with the scripting example below is shown here.

Part RegularPolygon from the scripting example

Properties

See also: Property editor.

A Part RegularPolygon object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Regular Polygon

  • DatiPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DatiCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part RegularPolygon can be created with the addObject() method of the document:

poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
  • Where "myPolygon" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()